javax.websocket

## Class SessionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.SessionException

- All Implemented Interfaces:
    java.io.Serializable

      public class SessionException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionException(java.lang.String message, java.lang.Throwable cause, Session session)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `getSession()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionException

          public SessionException(java.lang.String message,
                          java.lang.Throwable cause,
                          Session session)

  - ### Method Detail

    - #### getSession

          public Session getSession()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.